%define name sawmill
%define version 0.26
%define release 5mdk

%define sysconfdir	/etc
%define localstatedir	/var/lib
%define prefix /usr


Name:		%{name}
Summary:	Sawmill is a highly configurable and extensible X11 window manager
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/Sawmill
URL:		http://www.dcs.warwick.ac.uk/~john/sw/sawmill.html
Source:		%{name}-%{version}.tar.bz2
Source1:	HeliX.tar.bz2
Source2:	site-init-mdk.jl
Source3:	http://www.acemake.com/hagbard/archives/sawmill.el
Source4:	sawmill-menu-method
Source5:	%{name}.xpm.bz2
Source6:	%{name}-32.xpm.bz2
Source7:    custom-defaults.jl
Source8:    sawmill-icons.tar.bz2
Source9:    sawmill-desktop.tar.bz2
Patch:		sawmill-foobar.patch.bz2
Patch1:     sawmill-capplet.patch.bz2
Patch2:		sawmill-nobeep-mdk.patch.bz2
Requires:	librep >= 0.10, rep-gtk >= 0.8
PreReq:		/sbin/install-info
BuildRoot:	/var/tmp/%{name}-%{version}
Prefix:		%{prefix}
Obsoletes:	sawmill-themer


%description
This is an extensible window manager using a LISP-based scripting language.
All window decorations are configurable, the basic idea is to have as much 
user-interface policy as possible controlled through the Lisp language.

All configuration may be performed through a GTK interface; sawmill is mostly
GNOME compliant.


%package gnome
Summary:	GNOME support for sawmill
Group:		Graphical desktop/Sawmill
Requires:	%{name}

%description gnome
Optional GNOME support for sawmill.  Includes a wm-entries spec, and a control 
center applet.


%prep
%setup -q -n %{name}-%{version} 
%patch -p1 -b .foobar
%patch1 -p1 -b .capplet
%patch2 -p1 -b .nobeep

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure --enable-capplet  --enable-themer  \
	--with-gnome-prefix=%{prefix}       \
	--prefix=%{prefix} %{_host}  \
    --sysconfdir=%{sysconfdir}  \
	--localstatedir=%{localstatedir}

tar yxvf %{SOURCE9} -C capplet
cp %{SOURCE7} lisp/

make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/control-center
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Settings

make prefix=$RPM_BUILD_ROOT%{prefix} install


gzip -9nf $RPM_BUILD_ROOT%{prefix}/info/sawmill*

mkdir -p $RPM_BUILD_ROOT/usr/share/{emacs,sawmill}/site-lisp/
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/sawmill/site-lisp/
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/

mkdir -p $RPM_BUILD_ROOT/etc/X11/%{name}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/sawmill/themes
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/share/sawmill/themes/

mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/pixmaps
tar yxvf %{SOURCE8} -C $RPM_BUILD_ROOT/%{prefix}/share/pixmaps

install -d $RPM_BUILD_ROOT/{usr/lib/menu,/etc/menu-methods}/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(sawmill): \
  needs=x11\
  section=Session/Windowmanagers\
  title=Sawmill\
  icon=sawmill.xpm\
  command=sawmill
EOF
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/etc/menu-methods/%{name}

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE5} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm


%post
if [ -x /usr/bin/update-menus ];then
   /usr/bin/update-menus
fi
/sbin/install-info /usr/info/sawmill.info.bz2 /usr/info/dir
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

/sbin/ldconfig

%preun
/sbin/install-info --delete /usr/info/sawmill.info.bz2 /usr/info/dir

%postun

if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ];then
     /usr/bin/update-menus
  fi
fi
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

/sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi


%files
%defattr(-,root,root)
%doc README NEWS FAQ THANKS TODO po/sawmill.pot
%{prefix}/bin/sawmill
%{prefix}/bin/sawmill-client
%{prefix}/bin/sawmill-themer
%{prefix}/bin/sawmill-ui
%{prefix}/share/%{name}/%{version}
%{prefix}/share/%{name}/themes/*							
%{prefix}/info/sawmill*
%{prefix}/share/%{name}/site-lisp
%{prefix}/share/emacs/site-lisp
%{prefix}/libexec/%{name}/%{version}/%{_host}
%{prefix}/share/pixmaps
%{prefix}/share/icons
%dir /etc/X11/%{name}
%config /etc/menu-methods/%{name}
%{prefix}/lib/menu/%{name}

%files gnome
%defattr(-,root,root)
%{prefix}/bin/sawmill-capplet
%{prefix}/share/control-center/Sawmill
%{prefix}/share/gnome/apps/Settings/Sawmill
%{prefix}/share/gnome/wm-properties/Sawmill.desktop


%changelog
* Thu May 11 2000 Daouda Lo <daouda@mandrakesoft.com> 0.26-5mdk
- fix the silly window no value bug ! no beep at all !
- sawmill icons in control center finally appear!
- Many cleanups !

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.26-4mdk
- added icons to menu entry

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.26-3mdk
- added fndSession call.

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.26-2mdk
- re-include sawmill themer in the main package since its light
- fix filelist

* Tue Apr 18 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.26-1mdk 
- fix group
- applied helixcode gnome patches and mandrake optimization
- remove sawmill-themer component (obsoletes it, is included in main sawmill
  package)

* Mon Apr 10 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix prefix

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.25.2

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- requires new versions of librep and rep-gtk
- included the Sawmill settings in gnome/apps

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.25.1

* Mon Feb 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.24

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used another great srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
